# Gimp.ConfigPath.expand_to_files

    @accepts(unicode)
    @returns([Gio.File])
    def expand_to_files(path):
        # Python wrapper for gimp_config_path_expand_to_files()

Paths as stored in the gimprc have to be treated special. The string may contain special identifiers such as for example ${gimp_dir} that have to be substituted before use. Also the user's filesystem may be in a different encoding than UTF-8 (which is what is used for the gimprc).

This function runs path through Gimp.ConfigPath.expand and Gimp.Path.parse, then turns the filenames returned by Gimp.Path.parse into GFile using g_file_new_for_path().

Since 2.10

path

  a NUL-terminated string in UTF-8 encoding

Returns